Create an agent
Create an agent
curl --request POST \
--url https://api.tembo.io/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"jsonContent": {
"type": "doc",
"content": [
{
"type": "paragraph",
"content": [
{
"type": "text",
"text": "Review the latest changes."
}
]
}
]
},
"mcpServers": [
"<string>"
],
"agent": "<string>",
"agentOptions": {
"reasoningLevel": "high",
"mode": "planning",
"speed": "fast",
"goal": {
"enabled": true,
"objective": "Review the pull request"
}
},
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"autoDetectRepositories": true,
"repositoryIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"triggers": [
{
"name": "<string>",
"integrationType": "<string>",
"integrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filters": {}
}
],
"schedules": [
{
"cron": "<string>"
}
],
"sourceAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.tembo.io/v1/agents"
payload = {
"name": "<string>",
"jsonContent": {
"type": "doc",
"content": [
{
"type": "paragraph",
"content": [
{
"type": "text",
"text": "Review the latest changes."
}
]
}
]
},
"mcpServers": ["<string>"],
"agent": "<string>",
"agentOptions": {
"reasoningLevel": "high",
"mode": "planning",
"speed": "fast",
"goal": {
"enabled": True,
"objective": "Review the pull request"
}
},
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"autoDetectRepositories": True,
"repositoryIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"triggers": [
{
"name": "<string>",
"integrationType": "<string>",
"integrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filters": {}
}
],
"schedules": [{ "cron": "<string>" }],
"sourceAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
jsonContent: {
type: 'doc',
content: [
{
type: 'paragraph',
content: [{type: 'text', text: 'Review the latest changes.'}]
}
]
},
mcpServers: ['<string>'],
agent: '<string>',
agentOptions: {
reasoningLevel: 'high',
mode: 'planning',
speed: 'fast',
goal: {enabled: true, objective: 'Review the pull request'}
},
projectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
autoDetectRepositories: true,
repositoryIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
triggers: [
{
name: '<string>',
integrationType: '<string>',
integrationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
filters: {}
}
],
schedules: [{cron: '<string>'}],
sourceAgentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.tembo.io/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"key": "<string>",
"sandboxSize": "nano",
"projectId": "<string>",
"templateId": "<string>",
"script": "<string>",
"artifactType": "PullRequest",
"autoDetectRepositories": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"enabledAt": "2023-11-07T05:31:56Z",
"organizationId": "<string>",
"organizationName": "<string>",
"createdBy": "<string>",
"jsonContent": {
"type": "doc",
"content": [
{
"type": "paragraph",
"content": [
{
"type": "text",
"text": "Review the latest changes."
}
]
}
]
},
"agent": "<string>",
"agentOptions": {
"reasoningLevel": "high",
"mode": "planning",
"speed": "fast",
"goal": {
"enabled": true,
"objective": "Review the pull request"
}
},
"mcpServers": [
"<string>"
],
"userState": {},
"codeRepositories": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"owner": "<string>",
"integrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationType": "<string>"
}
],
"lastRun": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sessionId": "<string>",
"status": "<string>",
"runTime": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>"
},
"runCount": 1,
"scheduleCount": 1,
"triggerCount": 1,
"hasPausedSchedule": true,
"hasPausedTrigger": true,
"integrationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"integrationTypes": [
"<string>"
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
1 - 200Agent document JSON. This normally contains a TipTap document rooted at { "type": "doc", "content": [...] }; unknown and future nodes, marks, attributes, and extensions are preserved.
Show child attributes
Show child attributes
{
"type": "doc",
"content": [
{
"type": "paragraph",
"content": [
{
"type": "text",
"text": "Review the latest changes."
}
]
}
]
}
1001 - 2001 - 200Runtime-specific Agent options. Common options include reasoningLevel, mode, speed, and goal; unknown options are preserved and validated by the selected Agent runtime when used.
Show child attributes
Show child attributes
{
"reasoningLevel": "high",
"mode": "planning",
"speed": "fast",
"goal": {
"enabled": true,
"objective": "Review the pull request"
}
}
nano, micro, small, medium, large, xl, xxl, ultra, null PullRequest, ToolCall, Plan, Response, File, Service, Source, null 25050Show child attributes
Show child attributes
50Show child attributes
Show child attributes
addTestCoverage, addTestCoverageFromJira, autoAgentsMdMaintainer, autoDocsMaintainer, commitOfTheDay, customerHealthMonitoringAgent, deadCodeCleanup, dependencySweepAgent, autoFixCi, autoFixSentryError, dailySlackChangelog, fixBugsReportedInSlack, enrichGithubIssue, enrichJiraIssue, enrichLinearIssue, hubspotCallTaskCoach, hubspotEmailTaskDrafter, hubspotTicketToLinearBug, prDescription, prReview, pagePerformanceReport, prioritizeSentry, productFaqAgent, productFinanceAgent, queryPerformanceReport, securityFixFromJira, securityScan, skillProgressionMap, slackChannelListener, slopCop, staleCodeComments, stalePullRequestNotifier, summarizeChangesDaily, triageNewJiraBug Response
Create an agent
nano, micro, small, medium, large, xl, xxl, ultra, null PullRequest, ToolCall, Plan, Response, File, Service, Source, null 1 - 255Agent document JSON. This normally contains a TipTap document rooted at { "type": "doc", "content": [...] }; unknown and future nodes, marks, attributes, and extensions are preserved.
Show child attributes
Show child attributes
{
"type": "doc",
"content": [
{
"type": "paragraph",
"content": [
{
"type": "text",
"text": "Review the latest changes."
}
]
}
]
}
Runtime-specific Agent options. Common options include reasoningLevel, mode, speed, and goal; unknown options are preserved and validated by the selected Agent runtime when used.
Show child attributes
Show child attributes
{
"reasoningLevel": "high",
"mode": "planning",
"speed": "fast",
"goal": {
"enabled": true,
"objective": "Review the pull request"
}
}
1001 - 200Show child attributes
Show child attributes
250Show child attributes
Show child attributes
Show child attributes
Show child attributes
x >= 0x >= 0x >= 0Was this page helpful?
